Adds a domain to the allowed or blocked list for global wallet access in this project environment.
curl --request POST \
--url https://app.dynamicauth.com/api/v0/environments/{environmentId}/globalWallet/accessControl/domains \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domain": "http://*.example.com"
}
'{
"id": "95b11417-f18f-457f-8804-68e361f9164f",
"domain": "http://*.example.com",
"createdAt": "2023-11-07T05:31:56Z"
}Documentation Index
Fetch the complete documentation index at: https://docs.dynamic.xyz/docs/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the environment
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
Fields necessary to add the global wallet access control domain
Global wallet access control domain was added successfully
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
ISO 8601 timestamp of when the access control domain entry was created
Was this page helpful?
curl --request POST \
--url https://app.dynamicauth.com/api/v0/environments/{environmentId}/globalWallet/accessControl/domains \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domain": "http://*.example.com"
}
'{
"id": "95b11417-f18f-457f-8804-68e361f9164f",
"domain": "http://*.example.com",
"createdAt": "2023-11-07T05:31:56Z"
}